abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Abhishek Shadangi (JIRA)" <j...@apache.org>
Subject [jira] Updated: (ABDERA-263) Abdera parser binary includes org.apache.axiom.soap/om/attachments
Date Tue, 17 Aug 2010 18:37:16 GMT

     [ https://issues.apache.org/jira/browse/ABDERA-263?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Abhishek Shadangi updated ABDERA-263:
-------------------------------------

    Description: 
When I include the abdera parser dependency in my pom.xml as below,

    <dependency>
       <groupId>org.apache.abdera</groupId>
       <artifactId>abdera-parser</artifactId>
       <version>1.1</version>
    </dependency>

it fetches a binary with following Jar
    axiom-impl-1.2.5.jar
    geronimo-stax-api_1.0_spec-1.0.1.jar
    jaxen-1.1.1.jar
    wstx-asl-3.2.6.jar

AND more importantly includes the following API packages (v1.2.5).
    org.apache.axiom.soap
    org.apache.axiom.om
    org.apache.axiom.attachments

Please see http://mvnrepository.com/artifact/org.apache.abdera/abdera-parser

This is causing class loading conflicts in our project as we depend on the later versions
on these APIs and JARs. 

Like other Abdera binaries, abdera-parser MUST ONLY include org.apache.abdera package.

  was:
When I include the abdera parser dependency in my pom.xml as below,

    <dependency>
       <groupId>org.apache.abdera</groupId>
       <artifactId>abdera-parser</artifactId>
       <version>1.1</version>
    </dependency>

it fetches a binary with following Jar
    axiom-impl-1.2.5.jar
    geronimo-stax-api_1.0_spec-1.0.1.jar
    jaxen-1.1.1.jar
    wstx-asl-3.2.6.jar

AND more importantly includes the following API packages (v1.2.5).
    org.apache.axiom.soap
    org.apache.axiom.om
    org.apache.axiom.attachments

This is causing class loading conflicts in our project as we depend on the later versions
on these APIs and JARs. 

Like other Abdera binaries, abdera-parser MUST ONLY include org.apache.abdera package.


> Abdera parser binary includes org.apache.axiom.soap/om/attachments
> ------------------------------------------------------------------
>
>                 Key: ABDERA-263
>                 URL: https://issues.apache.org/jira/browse/ABDERA-263
>             Project: Abdera
>          Issue Type: Bug
>    Affects Versions: 1.1
>         Environment: N/A
>            Reporter: Abhishek Shadangi
>
> When I include the abdera parser dependency in my pom.xml as below,
>     <dependency>
>        <groupId>org.apache.abdera</groupId>
>        <artifactId>abdera-parser</artifactId>
>        <version>1.1</version>
>     </dependency>
> it fetches a binary with following Jar
>     axiom-impl-1.2.5.jar
>     geronimo-stax-api_1.0_spec-1.0.1.jar
>     jaxen-1.1.1.jar
>     wstx-asl-3.2.6.jar
> AND more importantly includes the following API packages (v1.2.5).
>     org.apache.axiom.soap
>     org.apache.axiom.om
>     org.apache.axiom.attachments
> Please see http://mvnrepository.com/artifact/org.apache.abdera/abdera-parser
> This is causing class loading conflicts in our project as we depend on the later versions
on these APIs and JARs. 
> Like other Abdera binaries, abdera-parser MUST ONLY include org.apache.abdera package.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message